Bug 107891 - gtk-config file missing so apps will nto compile
gtk-config file missing so apps will nto compile
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-23 22:51 EDT by Hoyt Duff
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-24 12:39:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hoyt Duff 2003-10-23 22:51:24 EDT
Description of problem:
The file gtk-config is missing so apps using gtk+ can't find its components.

Version-Release number of selected component (if applicable):
1.2

How reproducible:


Steps to Reproduce:
1.download MztoolsFM from http://www.core-coutainville.org/MToolsFM/
2.compile
3.after ./confire, this error message:
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
configure: error: MToolsFM needs GTK+ V1.2 or better

    
Actual results:
compile fails

Expected results:
compile succeeds

Additional info:
Comment 1 Bill Nottingham 2003-10-23 23:54:30 EDT
[~]$ rpm -q gtk+-devel
gtk+-devel-1.2.10-27
[~]$ rpm -ql gtk+-devel | grep config
/usr/bin/gtk-config
/usr/lib/pkgconfig
...

Do you have gtk+-devel installed?
Comment 2 Owen Taylor 2003-10-24 09:55:26 EDT
As Bill says, the problem here is that you are missing the -devel package.
Comment 3 Hoyt Duff 2003-10-24 12:39:40 EDT
Installing XFree86-devel, fontconfig-devel, gtk+-devel, freetype-devel, and 
glib-devel permits the compile to finish successfully. 

Note You need to log in before you can comment on or make changes to this bug.